// ang.h -- maze generation and raycasting
// (C) 2003 by Jeremy Stanley

// This program is licensed under the GNU General Public License.
// See COPYING for details.

#ifndef WORLD_H
#define WORLD_H

#include "fix.h"

void world_setmap(unsigned char *map_ptr, short width, short height);
short world_setrandmap(unsigned char *map_ptr, short width, short height, short walltex);
short get(short x, short y);
void set(short x, short y, short tex);

void world_drawmap(short u, short v);
void world_render3D(FIX cam_x, FIX cam_y, short angle, void *buf);

extern short m_width, m_height;

#endif // WORLD_H
